Debian Bug report logs - #368370
ITA: cyrus-sasl2 -- Authentication abstraction library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Matt Taggart <taggart@debian.org>

Date: Sun, 21 May 2006 17:03:01 UTC

Owned by: "Roberto C. Sanchez" <roberto@connexer.com>

Severity: normal

Fixed in version cyrus-sasl-2.1/2.1.22-0~pre01

Done: Fabian Fagerholm <fabbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dima@debian.org, <wnpp@debian.org>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
New Bug report received and forwarded. Copy sent to dima@debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: cyrus-sasl2 -- Authentication abstraction library
Date: Sun, 21 May 2006 09:47:16 -0700
Package: wnpp
Severity: normal

The last 11 uploads of this package have been NMUs. The last maintainer
upload was on 4 Jul 2004. The libsasl2 package has 69 rdepends, it's
a pretty important package. Someone please adopt this package.

The package description is:
 SASL is the Simple Authentication and Security Layer, a method for
 adding authentication support to connection-based protocols. To use
 SASL, a protocol includes a command for identifying and
 authenticating a user to a server and for optionally negotiating
 protection of subsequent protocol interactions. If its use is
 negotiated, a security layer is inserted between the protocol and the
 connection. See RFC 2222 for more information.
 .
 This is the Cyrus SASL API implementation, version 2.
 .
 Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT Kerberos 5 or Heimdal
 Kerberos 5), OTP, PLAIN, or LOGIN can be used. This package is unusable
 without the SASL plugins. Most likely you will need to install the
 libsasl2-modules package.

-- 
Matt Taggart
taggart@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 368370@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@familiasanchez.net>
To: control@bugs.debian.org
Cc: 368370@bugs.debian.org
Subject: ITA: cyrus-sasl2 -- Authentication abstraction library
Date: Wed, 24 May 2006 20:01:21 -0400
[Message part 1 (text/plain, inline)]
package wnpp
owner 368370 !
retitle 368370 ITA: cyrus-sasl2 -- Authentication abstraction library
thanks

This package looks like it needs lots of attention.  I would like to
adopt it since I use it on about a dozen production installs.  I can
have an upload ready in about two to three weeks.  Offers of help would
be greatly appreciated.

-Roberto

-- 
Roberto C. Sanchez
http://familiasanchez.net/~roberto
[signature.asc (application/pgp-signature, attachment)]

Owner recorded as "Roberto C. Sanchez" <roberto@familiasanchez.net>. Request was from "Roberto C. Sanchez" <roberto@familiasanchez.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Roberto C. Sanchez" <roberto@familiasanchez.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>. Full text and rfc822 format available.

Message #19 received at 368370@bugs.debian.org (full text, mbox):

From: Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>
To: "Roberto C. Sanchez" <roberto@familiasanchez.net>, 368370@bugs.debian.org, taggart@debian.org
Subject: Re: Bug#368370: ITA: cyrus-sasl2 -- Authentication abstraction library
Date: Thu, 25 May 2006 17:38:32 +0200
Hi Roberto,

Roberto C. Sanchez schrieb am Mittwoch, 24. Mai 2006 um 20:01:21 -0400:
> package wnpp
> owner 368370 !
> retitle 368370 ITA: cyrus-sasl2 -- Authentication abstraction library
> thanks
> 
> This package looks like it needs lots of attention.  I would like to
> adopt it since I use it on about a dozen production installs.  I can
> have an upload ready in about two to three weeks.  Offers of help would
> be greatly appreciated.

Please notice that an alioth project has been founded to maintain
cyrus-sasl. (http://alioth.debian.org/projects/pkg-cyrus-sasl2/)

Maybe you can help them to maintain cyrus-sasl.

-- 
Jörg Friedrich

There are only 10 types of people:
Those who understand binary and those who don't.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #24 received at 368370@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@familiasanchez.net>
To: Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>
Cc: 368370@bugs.debian.org, taggart@debian.org
Subject: Re: Bug#368370: ITA: cyrus-sasl2 -- Authentication abstraction library
Date: Thu, 25 May 2006 16:04:20 -0400
[Message part 1 (text/plain, inline)]
Joerg Friedrich wrote:
> 
> Please notice that an alioth project has been founded to maintain
> cyrus-sasl. (http://alioth.debian.org/projects/pkg-cyrus-sasl2/)
> 
> Maybe you can help them to maintain cyrus-sasl.
> 

Thanks for the pointer.  There has been no mailing list activity on that
project since January, so I think it needs a jump start.

-Roberto

-- 
Roberto C. Sanchez
http://familiasanchez.net/~roberto
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #29 received at 368370@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@familiasanchez.net>
To: Russ Allbery <rra@debian.org>
Cc: debian-mentors@lists.debian.org, 368370@bugs.debian.org
Subject: Re: SASL2 (Bug#368370)
Date: Fri, 26 May 2006 20:54:19 -0400
[Message part 1 (text/plain, inline)]
Russ Allbery wrote:
> 
> We have an alternative packaging of cyrus-sasl2 that we did internal to
> Stanford for various reasons; if anyone is interested in that, I can put
> it up somewhere to look at.  I'm not sure if it would be helpful at all,
> but it's easy enough to make the offer.  :)
> 

I was the one who ITA'd the bug to begin with (before I knew of the
Alioth project).  I intend to follow through on this, and join the
Alioth project as it were.  I will defend my thesis next week, after
which I will have some spare time to devote to this task.  If you could
make your alternate packaging, I would really appreciate it.  Could you
post the URL to the bug?

-Roberto

-- 
Roberto C. Sanchez
http://familiasanchez.net/~roberto
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabian Fagerholm <fabbe@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>. Full text and rfc822 format available.

Message #34 received at 368370@bugs.debian.org (full text, mbox):

From: Fabian Fagerholm <fabbe@debian.org>
To: "Roberto C. Sanchez" <roberto@familiasanchez.net>
Cc: 368370@bugs.debian.org
Subject: Re: SASL2 (Bug#368370)
Date: Sat, 27 May 2006 21:27:12 +0300
[Message part 1 (text/plain, inline)]
Hi Roberto!

Good of you to give cyrus-sasl2 a kick. A long time has passed since I
created the Alioth project, and I still haven't managed to commit my
work into the SVN repository.

Could you subscribe to the project mailing list
(http://lists.alioth.debian.org/mailman/listinfo/pkg-cyrus-sasl2-debian-devel)
as soon as you have the time, and we could get up to speed?

Cheers,
-- 
Fabian Fagerholm <fabbe@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #39 received at 368370@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@familiasanchez.net>
To: Fabian Fagerholm <fabbe@debian.org>
Cc: 368370@bugs.debian.org
Subject: Re: SASL2 (Bug#368370)
Date: Sat, 27 May 2006 14:37:02 -0400
[Message part 1 (text/plain, inline)]
Fabian Fagerholm wrote:
> Hi Roberto!
> 
> Good of you to give cyrus-sasl2 a kick. A long time has passed since I
> created the Alioth project, and I still haven't managed to commit my
> work into the SVN repository.
> 
> Could you subscribe to the project mailing list
> (http://lists.alioth.debian.org/mailman/listinfo/pkg-cyrus-sasl2-debian-devel)
> as soon as you have the time, and we could get up to speed?
> 
> Cheers,

OK.  I am now subscribed.  I will be defending my thesis this Tuesday,
so I am short on time for this weekend.  I will have more time after
that.  However, if you would send a summary of what you ahve done up to
now to the mailing list, I will read it as soon as I get some time.

Also, please add me to the Alioth project.  My Alioth userid is
el_cubano-guest.

-Roberto

-- 
Roberto C. Sanchez
http://familiasanchez.net/~roberto
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Chris Vanden Berghe <chrisvdb@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>. Full text and rfc822 format available.

Message #44 received at 368370@bugs.debian.org (full text, mbox):

From: Chris Vanden Berghe <chrisvdb@debian.org>
To: 368370@bugs.debian.org
Subject: SASL2 crypt patch
Date: Sat, 03 Jun 2006 08:37:51 +0200
Hi,

Great that you're tackling libsasl2!  I hope you'd consider applying the 
crypt patch (#207523) to the new package... without it only plaintext 
password can be stored in the database.

Thanks for your work,
Chris.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>. Full text and rfc822 format available.

Message #49 received at 368370@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: "Roberto C. Sanchez" <roberto@familiasanchez.net>
Cc: Fabian Fagerholm <fabbe@debian.org>, 368370@bugs.debian.org
Subject: Re: SASL2 (Bug#368370)
Date: Sat, 10 Jun 2006 11:50:02 +0200
On Sat, May 27, 2006, Roberto C. Sanchez wrote:
> OK.  I am now subscribed.  I will be defending my thesis this Tuesday,
> so I am short on time for this weekend.  I will have more time after
> that.  However, if you would send a summary of what you ahve done up to
> now to the mailing list, I will read it as soon as I get some time.
> 
> Also, please add me to the Alioth project.  My Alioth userid is
> el_cubano-guest.

Hi Roberto, hi, Debian Cyrus SASL2 Team!

What is the status of the adoption of the package?

Not that I want to maintain it myself, but I would like to know if
you've already worked on #336485 and whether you intend to upload a
fixed package soon (be it by lowering the priority or switching to a
more recent libdb).

As part of the current BSP, we may have a look at the bug, if you're not
working on it. Or maybe you already have hints.

Thanks,
-- 
adn
Mohammed Adnène Trojette



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabian Fagerholm <fabbe@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@familiasanchez.net>. Full text and rfc822 format available.

Message #54 received at 368370@bugs.debian.org (full text, mbox):

From: Fabian Fagerholm <fabbe@debian.org>
To: Mohammed Adnène Trojette <adn+deb@diwi.org>
Cc: "Roberto C. Sanchez" <roberto@familiasanchez.net>, 368370@bugs.debian.org, pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org
Subject: Re: SASL2 (Bug#368370)
Date: Sat, 10 Jun 2006 16:38:14 +0300
[Message part 1 (text/plain, inline)]
On Sat, 2006-06-10 at 11:50 +0200, Mohammed Adnène Trojette wrote:
> Hi Roberto, hi, Debian Cyrus SASL2 Team!

Hi Mohammed! (I'm adding the pkg-cyrus-sasl2 mailing list to the cc
list)

> What is the status of the adoption of the package?

We have some work committed to our SVN repository, but it's not yet in a
state where we can start trying to build other packages against it. We
also have to think about the upgrade process and there have been several
requests for a code audit (to weed out concurrency bugs, more than a
security audit).

> Not that I want to maintain it myself, but I would like to know if
> you've already worked on #336485 and whether you intend to upload a
> fixed package soon (be it by lowering the priority or switching to a
> more recent libdb).

We will switch to a newer bdb. Whether it will be 4.3 or 4.4 remains to
be seen. (The safe approach being 4.3 of course.)

> As part of the current BSP, we may have a look at the bug, if you're not
> working on it. Or maybe you already have hints.

The bug itself seems to be fairly trivial as it doesn't include any code
changes if you just lower the priority and rebuild. Switching libdb
would mean more work as you'd have to test with the newer libdb. I would
personally go for not switching libdb in the "old" package and instead
concentrate all efforts on getting the new package out.

-- 
Fabian Fagerholm <fabbe@debian.org>
[signature.asc (application/pgp-signature, inline)]

Owner changed from "Roberto C. Sanchez" <roberto@familiasanchez.net> to "Roberto C. Sanchez" <roberto@connexer.com>. Request was from "Roberto C. Sanchez" <roberto@connexer.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@connexer.com>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Roberto C. Sanchez" <roberto@connexer.com>. Full text and rfc822 format available.

Message #61 received at 368370@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: 368370@bugs.debian.org
Subject: ITA: cyrus-sasl2 -- Authentication abstraction library
Date: Sun, 08 Oct 2006 22:31:35 +0700
Pinging this bug to check whether it should still be open or not.

-- 
JID: dottedmag@jabber.dottedmag.net



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #66 received at 368370@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@connexer.com>
To: Mikhail Gusarov <dottedmag@dottedmag.net>, 368370@bugs.debian.org
Subject: Re: Bug#368370: ITA: cyrus-sasl2 -- Authentication abstraction library
Date: Thu, 12 Oct 2006 20:20:57 -0400
[Message part 1 (text/plain, inline)]
On Sun, Oct 08, 2006 at 10:31:35PM +0700, Mikhail Gusarov wrote:
> 
> Pinging this bug to check whether it should still be open or not.
> 
Yes.  We are still working on it.  The new package should be ready Real
Soon Now(TM).

Regards,

-Roberto

-- 
Roberto C. Sanchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#368370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #71 received at 368370@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@connexer.com>
To: pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org, 368370@bugs.debian.org
Subject: Time to get back to work
Date: Thu, 12 Oct 2006 20:41:11 -0400
[Message part 1 (text/plain, inline)]
Hello everyone,

I apologize, but I have just been absolutely swamped the last couple of
months.  I really expected things to cool off some starting in July, but
I have instead found more things to keep me busy.  Anyhow, I will have
some time over the next 10 days and I would like to start a concerted
effort to clean up as many bugs as we can and try and get a new version
of cyrus-sasl2 into Debian in time to make the Etch freeze.

I am going to take a look at the list archives again and what is in svn
and see if I can't start figuring out what we need to get done.  I will
email again ASAP.

Regards,

-Roberto

-- 
Roberto C. Sanchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from "Roberto C. Sanchez" <roberto@connexer.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Fabian Fagerholm <fabbe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Taggart <taggart@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #78 received at 368370-close@bugs.debian.org (full text, mbox):

From: Fabian Fagerholm <fabbe@debian.org>
To: 368370-close@bugs.debian.org
Subject: Bug#368370: fixed in cyrus-sasl-2.1 2.1.22-0~pre01
Date: Wed, 25 Oct 2006 06:49:16 -0700
Source: cyrus-sasl-2.1
Source-Version: 2.1.22-0~pre01

We believe that the bug you reported is fixed in the latest version of
cyrus-sasl-2.1, which is due to be installed in the Debian FTP archive:

cyrus-sasl-2.1-bin_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1-bin_2.1.22-0~pre01_i386.deb
cyrus-sasl-2.1-doc_2.1.22-0~pre01_all.deb
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1-doc_2.1.22-0~pre01_all.deb
cyrus-sasl-2.1_2.1.22-0~pre01.diff.gz
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1_2.1.22-0~pre01.diff.gz
cyrus-sasl-2.1_2.1.22-0~pre01.dsc
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1_2.1.22-0~pre01.dsc
cyrus-sasl-2.1_2.1.22.orig.tar.gz
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1_2.1.22.orig.tar.gz
libsasl2-2-dev_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-dev_2.1.22-0~pre01_i386.deb
libsasl2-2-modules-gssapi-mit_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules-gssapi-mit_2.1.22-0~pre01_i386.deb
libsasl2-2-modules-otp_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules-otp_2.1.22-0~pre01_i386.deb
libsasl2-2-modules-sql_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules-sql_2.1.22-0~pre01_i386.deb
libsasl2-2-modules_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules_2.1.22-0~pre01_i386.deb
libsasl2-2_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2_2.1.22-0~pre01_i386.deb
libsasl2-dev_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-dev_2.1.22-0~pre01_i386.deb
libsasl2-modules-gssapi-heimdal_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-modules-gssapi-heimdal_2.1.22-0~pre01_i386.deb
libsasl2-modules-sql_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-modules-sql_2.1.22-0~pre01_i386.deb
libsasl2-modules_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-modules_2.1.22-0~pre01_i386.deb
libsasl2_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2_2.1.22-0~pre01_i386.deb
sasl2-bin_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/sasl2-bin_2.1.22-0~pre01_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 368370@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabian Fagerholm <fabbe@debian.org> (supplier of updated cyrus-sasl-2.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 19 Oct 2006 23:26:02 +0300
Source: cyrus-sasl-2.1
Binary: libsasl2-2 cyrus-sasl-2.1-bin libsasl2 libsasl2-2-dev sasl2-bin libsasl2-dev libsasl2-2-modules-gssapi-mit libsasl2-modules-gssapi-heimdal libsasl2-2-modules-otp cyrus-sasl-2.1-doc libsasl2-modules-sql libsasl2-2-modules-sql libsasl2-modules libsasl2-2-modules
Architecture: source i386 all
Version: 2.1.22-0~pre01
Distribution: experimental
Urgency: low
Maintainer: Fabian Fagerholm <fabbe@debian.org>
Changed-By: Fabian Fagerholm <fabbe@debian.org>
Description: 
 cyrus-sasl-2.1-bin - Administration programs for SASL users database
 cyrus-sasl-2.1-doc - Documentation for Cyrus SASL library and utilities
 libsasl2   - Authentication abstraction library
 libsasl2-2 - Authentication abstraction library
 libsasl2-2-dev - Development files for SASL authentication abstraction library
 libsasl2-2-modules - Pluggable Authentication Modules for SASL
 libsasl2-2-modules-gssapi-mit - Pluggable Authentication Modules for SASL (GSSAPI)
 libsasl2-2-modules-otp - Pluggable Authentication Modules for SASL (OTP)
 libsasl2-2-modules-sql - Pluggable Authentication Modules for SASL (SQL)
 libsasl2-dev - Development files for SASL authentication abstraction library
 libsasl2-modules - Pluggable Authentication Modules for SASL
 libsasl2-modules-gssapi-heimdal - Pluggable Authentication Modules for SASL (GSSAPI)
 libsasl2-modules-sql - Pluggable Authentication Modules for SASL (SQL)
 sasl2-bin  - Administration programs for SASL users database
Closes: 190658 202836 205589 211156 242184 245818 248333 251735 254298 256808 257181 257306 262339 265751 274087 274402 275498 276637 276849 282775 285605 286285 287313 296449 300710 302280 310438 314724 315177 316404 321760 324288 327479 328879 332703 336485 344686 345880 348685 354413 357527 361937 362511 365183 365287 368370 379846 392571
Changes: 
 cyrus-sasl-2.1 (2.1.22-0~pre01) experimental; urgency=low
 .
   * Acknowledged previous NMUs (Closes: #274087, #344686, #362511, #245818)
     (Closes: #276637, #285605, #332703, #336485, #345880, #357527, #379846)
     (Closes: #248333, #315177, #324288, #361937, #242184, #256808, #202836)
     (Closes: #262339, #265751, #275498, #276849)
   * Fabian Fagerholm
     - Adopted package (Closes: #368370)
     - Fixed static linking against libsasl2 (Closes: #282775)
     - Exit with an error if any of the auto* commands fail. (Closes: #321760)
     - New upstream version (Closes: #316404)
       + Fixed crash with DIGEST-MD5 (Closes: #286285, #314724)
       + Built with courier authdaemon support (Closes: #328879)
       + sql plugin respects log_level settings (Closes: #296449)
     - Included a watch file (Closes: #205589)
     - Switched from Heimdal to MIT Kerberos (Closes: #257306, #310438)
     - Repackaged upstream source to remove non-free docs (Closes: #365183)
     - Added symbol versioning (Closes: #327479)
     - Document why libsasl2-modules is recommended (Closes: #302280, #365287)
     - Strip rpath from binaries and shared libraries when build inserts one.
   * Roberto C. Sanchez
     - Added myself to Uploaders field
     - Added missing Build-Depends on groff-base
     - Changed build dependency from db4.2 to db4.4 (Closes: #354413)
     - Made it so that README.configure-options is actually populated
     - Fixed debian/rules so that bogus ldconfig calls are not in post(inst|rm)
     - Added manual page for testsaslauthd(8)
     - Improved socket and pidfile location flexibility
       (Closes: #254298, #300710, #287313)
     - Changed -modules-sql to depend on -modules (Closes: #392571)
     - Put /etc/sasl at start of the config search path (Closes: #211156)
     - Split OTP plugin into its own package (Closes: #251735)
     - Made modules suggest modules-{sql,otp,gssapi-heimdal} (Closes: #348685)
     - Fixed saslauthd init script so it gives useful error (Closes: #257181)
     - Added NTLM to -modules description (Closes: #274402)
     - Added necessary config.h and Makefile to build samples (Closes: #190658)
Files: 
 1b59eac130f785c1f390d751c50eb9cb 1320 libs important cyrus-sasl-2.1_2.1.22-0~pre01.dsc
 47424be7f2f976b40de959fe821308e2 1612191 libs important cyrus-sasl-2.1_2.1.22.orig.tar.gz
 72122bac75b27fe4f82f3ff3570594ac 38623 libs important cyrus-sasl-2.1_2.1.22-0~pre01.diff.gz
 c6ec6775496cee74d1269b8c93306495 96586 doc important cyrus-sasl-2.1-doc_2.1.22-0~pre01_all.deb
 35b71f2bb85f205c043662b773a63388 96044 utils important cyrus-sasl-2.1-bin_2.1.22-0~pre01_i386.deb
 c8fe4c25365b963903a57cf8496fffed 38696 libs important sasl2-bin_2.1.22-0~pre01_i386.deb
 244106234aac3adc1d1f7e952e4d93dc 38684 oldlibs important libsasl2_2.1.22-0~pre01_i386.deb
 45ff84eb7261a35708586449da9b90a4 97556 libs important libsasl2-2_2.1.22-0~pre01_i386.deb
 fbe701feab3406f8f81463ef0e5ba4bd 38706 oldlibs important libsasl2-modules_2.1.22-0~pre01_i386.deb
 485f5b121078de5b6cc31c536fc2a6b6 144452 libs important libsasl2-2-modules_2.1.22-0~pre01_i386.deb
 1791ba0603100e48c129af5a4910669d 69586 libs optional libsasl2-2-modules-otp_2.1.22-0~pre01_i386.deb
 5ab82e92327e2971e671071fec383e1b 38714 oldlibs important libsasl2-modules-sql_2.1.22-0~pre01_i386.deb
 ae5826556e94222904e0e40bd0218df8 58720 libs optional libsasl2-2-modules-sql_2.1.22-0~pre01_i386.deb
 3b09f26d0b41be509b4fbc8305462dc7 38740 oldlibs important libsasl2-modules-gssapi-heimdal_2.1.22-0~pre01_i386.deb
 bb2afbbb23630128d7bf384cc19cb90b 60464 libs optional libsasl2-2-modules-gssapi-mit_2.1.22-0~pre01_i386.deb
 fb7d5bbba30cc041b1bf6d2da7b216f1 38706 oldlibs important libsasl2-dev_2.1.22-0~pre01_i386.deb
 407a2c1962d232bfe0125ab6aa938d5f 254872 libdevel optional libsasl2-2-dev_2.1.22-0~pre01_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFN+WE76VUNpZBmeIRAiSoAJ9CwVgUjeRTu8olBC3aME1YdW3OngCfUQtr
4O8S+CUd53fCiIMCZOFcZhc=
=tnmS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 16:17:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:07:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.